Subject: RE: iptel and iCalendar

From: Jonathan Rosenberg <[email-masked]>
Date: Wed, 28 Feb 2001 06:14:39 -0500

> -----Original Message-----
> From: Patrik Fältström [mailto:[email-masked]]
> Sent: Monday, February 26, 2001 12:10 PM
> To: Jonathan Rosenberg; Jonathan Lennox; 
> [email-masked]; Henning
> Schulzrinne; John Stracke
> Subject: RE: iptel and iCalendar
> 
> 
> At 11.17 -0500 01-02-26, Jonathan Rosenberg wrote:
> >There was sympathy for an O(1) version of the recurrence 
> rules from some of
> >the folks in calsch (John Stracke, at least), as something 
> that would be
> >generally useful.
> 
> The key requirement for me and IESG is that we really would like the 
> recurrance rules to be the same in CPL and iCal. That way events can 
> be moved between the two systems without any problems (which is what 
> is said in the CPL draft).

I agree this would be the ideal goal; I don't want to give the impression
that we don't want this. However, meeting our own requirements was first
priority.

> 
> I don't take any position on whether O(1) is needed or not (but I 
> sure hear strong requirements from the IPTEL people).
> 
> I further don't want a fight here, and especially not via email.
> 
> Pat, can we use 15 minutes  if the CALSH agenda time to talk 
> about this issue?
> 
> IPTEL people can you have some people there during the CALSH meeting?

We could; unfortunately it conflicts with avt. The three iptel folks who
would really need to be at calsch (myself, Jonathan Lennox, Henning
Schulzrinne) usually go to avt. If the iptel discussion was scheduled first,
that would make it easier (we could then go back to avt). Another
alternative is to hold the discussion during iptel. Our agenda is very light
and there is sufficient time for a good discussion on this subject. iptel is
meeting Monday morning.

-Jonathan R.
---
Jonathan D. Rosenberg                       72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (973) 952-5050
http://www.cs.columbia.edu/~jdrosen         PHONE: (973) 952-5000
http://www.dynamicsoft.com

---

From: John Stracke <[email-masked]>
Date: Wed, 28 Feb 2001 11:36:45 -0500

> that we don't want this. However, meeting our own requirements was first

Yeah, but there's a meta-question here: are they your requirements, or your
users'? You (plural; i.e., iptel) had the key insight that it would be useful
to be able to share scheduling data between a calendar store and a telephony
switch; and I think you were right.  The question then becomes, how important
is that capability?

Personally, I think it's very important; and I also think you've come up with a
valuable subset of the iCalendar recurrence rules--valuable enough that I want
to see if we can adopt it for iCalendar proper.  Then everything will be in
harmony.

--
/==============================================================\
|John Stracke    | http://www.ecal.com |My opinions are my own.|
|Chief Scientist |=============================================|
|eCal Corp.      |E pui muove! -- Galileo                      |
[email-masked]|                                             |
\==============================================================/